Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
[Java] Class ClasspathResourceManager

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.ClasspathResourceManager

All Implemented Interfaces:
  ResourceManager

    public class ClasspathResourceManager
    extends Object

Constructor Summary
`ClasspathResourceManager()`
`ClasspathResourceManager(ClassLoader classLoader)`

Method Summary
`InputStream` | `getInputStream(String resourceName)`
`Reader` | `getReader(String resourceName)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### ClasspathResourceManager

    public ClasspathResourceManager()

### ClasspathResourceManager

    public ClasspathResourceManager(ClassLoader classLoader)

Method Detail

### getInputStream

    public InputStream getInputStream(String resourceName)

### getReader

    public Reader getReader(String resourceName)

Copyright © 2003-2010 The Codehaus. All rights reserved.